> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hired Agent

> Get a specific hired agent.



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/agents/{agent_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workspaces/agents/{agent_id}:
    get:
      tags:
        - Workspaces
      summary: Get Hired Agent
      description: Get a specific hired agent.
      operationId: get_hired_agent_api_v1_workspaces_agents__agent_id__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HiredAgentWithWorkspace'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HiredAgentWithWorkspace:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        agent_type:
          type: string
          title: Agent Type
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        persona_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Persona Name
        status:
          type: string
          title: Status
        tier:
          type: string
          title: Tier
        stripe_subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Id
        config:
          additionalProperties: true
          type: object
          title: Config
        hired_at:
          type: string
          format: date-time
          title: Hired At
        paused_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paused At
        cancelled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancelled At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        workspace:
          anyOf:
            - $ref: '#/components/schemas/WorkspaceResponse'
            - type: 'null'
        team_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Id
        team_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Type
      type: object
      required:
        - id
        - user_id
        - agent_type
        - display_name
        - status
        - tier
        - stripe_subscription_id
        - config
        - hired_at
        - paused_at
        - cancelled_at
        - created_at
        - updated_at
      title: HiredAgentWithWorkspace
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        hired_agent_id:
          type: string
          format: uuid
          title: Hired Agent Id
        user_id:
          type: string
          format: uuid
          title: User Id
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
        settings:
          additionalProperties: true
          type: object
          title: Settings
        metrics_cache:
          additionalProperties: true
          type: object
          title: Metrics Cache
        last_active_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Active At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - hired_agent_id
        - user_id
        - name
        - status
        - settings
        - metrics_cache
        - last_active_at
        - created_at
        - updated_at
      title: WorkspaceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````